--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: creates a new filter for decoding content.
- !ruby/struct:SM::Flow::P 
  body: Filters that are only used to encode image data are accepted, but the data is returned untouched. At this stage PDF::Reader has no need to decode images.
full_name: PDF::Reader::Filter::new
is_singleton: true
name: new
params: (name, options = nil)
visibility: public
